STOFFPageSpan Class Reference documentation

STOFFPageSpan Class Reference

A class which defines the page properties. More...

`#include <STOFFPageSpan.hxx>`

## Public Types
enum | ZoneType { Page =0 , Header , Footer }
| the zone type More...

## Public Member Functions
| STOFFPageSpan ()
| constructor
| ~STOFFPageSpan ()
| destructor
void | addHeaderFooter (bool header, std::string const &occurrence, STOFFHeaderFooter const &hf)
| add a header on some page: occurrence must be odd|right, even|left, first, last or all
bool | operator== (shared_ptr< STOFFPageSpan > const &pageSpan) const
| operator==
bool | operator!= (shared_ptr< STOFFPageSpan > const &pageSpan) const
| operator!=
void | getPageProperty (librevenge::RVNGPropertyList &pList) const
| add the page properties in pList
void | sendHeaderFooters (STOFFListener *listener) const
| send the page's headers/footers if some exists

## Public Attributes
int | m_pageSpan
| the number of page
librevenge::RVNGPropertyList | m_propertiesList [3]
| the document, header and footer property list
std::map< std::string, STOFFHeaderFooter > | m_occurrenceHFMap [2]
| the map occurrence to header/footer document
STOFFSection | m_section
| the main section
int | m_pageNumber
| the page number ( or -1)

## Detailed Description

A class which defines the page properties.

## Member Enumeration Documentation

## ◆ ZoneType

enum STOFFPageSpan::ZoneType

the zone type

Enumerator
Page |
Header |
Footer |

## Constructor & Destructor Documentation

## ◆ STOFFPageSpan()

STOFFPageSpan::STOFFPageSpan | ( |  | ) |

constructor

## ◆ ~STOFFPageSpan()

STOFFPageSpan::~STOFFPageSpan | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addHeaderFooter()

void STOFFPageSpan::addHeaderFooter | ( | bool | header,
|  | std::string const & | occurrence,
|  | STOFFHeaderFooter const & | hf )

add a header on some page: occurrence must be odd|right, even|left, first, last or all

## ◆ getPageProperty()

void STOFFPageSpan::getPageProperty | ( | librevenge::RVNGPropertyList & | pList | ) | const

add the page properties in pList

Referenced by STOFFGraphicListener::_openPageSpan(), STOFFSpreadsheetListener::_openPageSpan(), STOFFTextListener::_openPageSpan(), and STOFFGraphicListener::openMasterPage().

## ◆ operator!=()

bool STOFFPageSpan::operator!= | ( | shared_ptr< STOFFPageSpan > const & | pageSpan | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFPageSpan::operator== | ( | shared_ptr< STOFFPageSpan > const & | pageSpan | ) | const

operator==

Referenced by operator!=().

## ◆ sendHeaderFooters()

void STOFFPageSpan::sendHeaderFooters | ( | STOFFListener * | listener | ) | const

send the page's headers/footers if some exists

Referenced by STOFFGraphicListener::_openPageSpan(), STOFFSpreadsheetListener::_openPageSpan(), and STOFFTextListener::_openPageSpan().

## Member Data Documentation

## ◆ m_occurrenceHFMap

std::map<std::string, STOFFHeaderFooter> STOFFPageSpan::m_occurrenceHFMap[2]

the map occurrence to header/footer document

Referenced by addHeaderFooter(), operator==(), and sendHeaderFooters().

## ◆ m_pageNumber

int STOFFPageSpan::m_pageNumber

the page number ( or -1)

Referenced by STOFFPageSpan().

## ◆ m_pageSpan

int STOFFPageSpan::m_pageSpan

the number of page

Referenced by STOFFGraphicListener::_openPageSpan(), STOFFSpreadsheetListener::_openPageSpan(), STOFFTextListener::_openPageSpan(), SDAParser::createDocument(), SDAParser::createDocument(), SDCParser::createDocument(), SDGParser::createDocument(), SDWParser::createDocument(), getPageProperty(), StarFileManager::readOLEDirectory(), STOFFPageSpan(), StarObjectPageStyle::updatePageSpans(), and StarObjectText::updatePageSpans().

## ◆ m_propertiesList

librevenge::RVNGPropertyList STOFFPageSpan::m_propertiesList[3]

the document, header and footer property list

Referenced by getPageProperty(), operator==(), StarObjectModel::sendMasterPages(), STOFFPageSpan(), StarObjectModelInternal::Page::updatePageSpan(), StarObjectPageStyleInternal::PageDesc::updatePageSpan(), and StarObjectModel::updatePageSpans().

## ◆ m_section

STOFFSection STOFFPageSpan::m_section

the main section

Referenced by STOFFTextListener::_openPageSpan(), STOFFPageSpan(), and StarObjectPageStyle::updatePageSpan().

The documentation for this class was generated from the following files:

- STOFFPageSpan.hxx
- STOFFPageSpan.cxx